## org.apache.myfaces.custom.date
Class HtmlDateRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.date.HtmlDateRenderer

public class HtmlDateRenderer
extends HtmlRenderer

Version:
  $Revision: 291104 $ $Date: 2005-09-23 08:01:10 -0400 (Fri, 23 Sep 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: bdudney $)

Field Summary
`static java.lang.String` `DATE_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the creditcard check fails.

Constructor Summary
`HtmlDateRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected void` `encodeInputDay(javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String clientId, HtmlInputDate.UserData userData, boolean disabled, boolean readonly)`
`protected void` `encodeInputField(javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String id, java.lang.String value, int size, boolean disabled, boolean readonly)`
`protected void` `encodeInputHours(javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String clientId, HtmlInputDate.UserData userData, boolean disabled, boolean readonly)`
`protected void` `encodeInputMinutes(javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String clientId, HtmlInputDate.UserData userData, boolean disabled, boolean readonly)`
`protected void` `encodeInputMonth(javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String clientId, HtmlInputDate.UserData userData, java.util.Locale currentLocale, boolean disabled, boolean readonly)`
`protected void` `encodeInputSeconds(javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String clientId, HtmlInputDate.UserData userData, boolean disabled, boolean readonly)`
`protected void` `encodeInputYear(javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String clientId, HtmlInputDate.UserData userData, boolean disabled, boolean readonly)`
`protected void` `encodePopupCalendarButton(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, javax.faces.context.ResponseWriter writer, java.lang.String clientId, java.util.Locale currentLocale)`
`java.lang.Object` `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, HtmlInputDate inputDate)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_MESSAGE_ID

    public static final java.lang.String DATE_MESSAGE_ID

  The message identifier of the `FacesMessage` to be created if the creditcard check fails.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlDateRenderer

    public HtmlDateRenderer()

Method Detail

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 HtmlInputDate inputDate)

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInputField

    protected void encodeInputField(javax.faces.component.UIComponent uiComponent,
                                    javax.faces.context.ResponseWriter writer,
                                    java.lang.String id,
                                    java.lang.String value,
                                    int size,
                                    boolean disabled,
                                    boolean readonly)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInputDay

    protected void encodeInputDay(javax.faces.component.UIComponent uiComponent,
                                  javax.faces.context.ResponseWriter writer,
                                  java.lang.String clientId,
                                  HtmlInputDate.UserData userData,
                                  boolean disabled,
                                  boolean readonly)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInputMonth

    protected void encodeInputMonth(javax.faces.component.UIComponent uiComponent,
                                    javax.faces.context.ResponseWriter writer,
                                    java.lang.String clientId,
                                    HtmlInputDate.UserData userData,
                                    java.util.Locale currentLocale,
                                    boolean disabled,
                                    boolean readonly)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInputYear

    protected void encodeInputYear(javax.faces.component.UIComponent uiComponent,
                                   javax.faces.context.ResponseWriter writer,
                                   java.lang.String clientId,
                                   HtmlInputDate.UserData userData,
                                   boolean disabled,
                                   boolean readonly)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInputHours

    protected void encodeInputHours(javax.faces.component.UIComponent uiComponent,
                                    javax.faces.context.ResponseWriter writer,
                                    java.lang.String clientId,
                                    HtmlInputDate.UserData userData,
                                    boolean disabled,
                                    boolean readonly)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInputMinutes

    protected void encodeInputMinutes(javax.faces.component.UIComponent uiComponent,
                                      javax.faces.context.ResponseWriter writer,
                                      java.lang.String clientId,
                                      HtmlInputDate.UserData userData,
                                      boolean disabled,
                                      boolean readonly)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeInputSeconds

    protected void encodeInputSeconds(javax.faces.component.UIComponent uiComponent,
                                      javax.faces.context.ResponseWriter writer,
                                      java.lang.String clientId,
                                      HtmlInputDate.UserData userData,
                                      boolean disabled,
                                      boolean readonly)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodePopupCalendarButton

    protected void encodePopupCalendarButton(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent uiComponent,
                                             javax.faces.context.ResponseWriter writer,
                                             java.lang.String clientId,
                                             java.util.Locale currentLocale)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`